.\" -*- nroff -*- generated from .Rd format
.BG
.FN image.kriging
.TL
Image/Perspective Plots of Kriging Results
.DN
Plots maps (image or perspective plots) with results of the kriging
calculations.
.CS

image.kriging(kriging.obj, locations=kriging.obj$locations,
              values=kriging.obj$predict, ...)
.IP "" 
persp.kriging(kriging.obj, locations=kriging.obj$locations,
              values=kriging.obj$predict, ...)

.RA
.AG kriging.obj
an object with the output of
`krige.conv', or `ksline'.
Typically the object of the  class `kriging'.
.AG locations
a matrix with prediction locations.
.AG values
a vector with values to be plotted in the image
plot. Defaults to `obj$predict'.
.AG coords.data
optional. If a matrix with the data coordinates is
provided, points indicating the data locations are included in the plot.
.AG \&...
further arguments to be passed to the functions
`image' or `persp'.
.RT
An image or perspective plot is produced in the graphics device.
.SH REFERENCES
Further information about `geoR/geoS' can be found at:
.br
<URL: http://www.maths.lancs.ac.uk/~ribeiro/geoR.html>
.SA
`krige.conv', `ksline',
`image', `persp'.
.EX
if(is.R()) data(s100) 
loci <- expand.grid(seq(0,1,l=31), seq(0,1,l=31))
kc <- krige.conv(s100, loc=loci,
                 krige=krige.control(cov.pars=c(1, .25)))
par(mfrow=c(1,2))
image.kriging(kc, loc=loci)
image.kriging(kc, loc=loci, val=kc$krige.var)

.KW spatial, dplot
.WR
