.\" -*- nroff -*- generated from .Rd format
.BG
.FN read.geodata
.TL
Reads data and converts to geodata format
.DN
Reads data from a ASCII file and converts to an object of the class `geodata'.
.CS

read.geodata(file, header=FALSE, coords.col=1:2, data.col=3,
             data.names = NULL, covar.col=NULL,
             covar.names="header", ...)

.RA
.AG file
a string with the ASCII file name.  
.AG header
a logical value indicating whether the file contains the names of the variables as its first line. If missing, the value is
determined from the file format: header is set to TRUE if and only if the first row contains one fewer field than the
second.  
.AG coords.col
a vector with the column numbers of the
coordinates.  
.AG data.col
a scalar or vector with the column number of the
data.  
.AG data.names
a string or vector of strings with the name(s) of
the covariates. By default uses the names in the original object.
Only used if there is more than one column of data.  
.AG covar.col
optional. A scalar or vector with the column number
of the covariates  
.AG covar.names
a string or vector of strings with the name(s) of
the covariates. By default uses the names in the original object.  
.AG \&...
further arguments to `read.table'.  
.RT
An object of the class `geodata' as described in `as.geodata'.
.SH REFERENCES
Further information about `geoR/geoS' can be found at:
.br
<URL: http://www.maths.lancs.ac.uk/~ribeiro/geoR.html>
.SA
`as.geodata', `read.table', `list'
.KW spatial, manip
.WR
